summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authortansell@google.com <tansell@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2012-10-17 16:45:29 +0000
committertansell@google.com <tansell@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2012-10-17 16:45:29 +0000
commit8a8b66f17be060f958c5ac795158e8db82d94c05 (patch)
tree24db5411cfeed86f6b97475db973244d6840b999 /build
parent9e8cf87cc8f4ee81744b9895089053ba3e8d70c5 (diff)
downloadchromium_src-8a8b66f17be060f958c5ac795158e8db82d94c05.zip
chromium_src-8a8b66f17be060f958c5ac795158e8db82d94c05.tar.gz
chromium_src-8a8b66f17be060f958c5ac795158e8db82d94c05.tar.bz2
Stop cron during cleanup.
crond is another one of these applications which gets automatically started by many things. BUG=155452 Review URL: https://chromiumcodereview.appspot.com/11191019 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@162429 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rwxr-xr-xbuild/install-chroot.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/build/install-chroot.sh b/build/install-chroot.sh
index 1743703..adffa18 100755
--- a/build/install-chroot.sh
+++ b/build/install-chroot.sh
@@ -663,12 +663,13 @@ if [ -x "${script}" ]; then
cp "${script}" "${tmp_script}"
fi
# Some distributions automatically start an instance of the system-
- # wide dbus daemon or of the logging daemon, when installing the Chrome
- # build depencies. This prevents the chroot session from being closed.
- # So, we always try to shut down any running instance of dbus and
- # rsyslog.
- sudo "${target%bit}" sh -c "${script} --no-lib32;
+ # wide dbus daemon, cron daemon or of the logging daemon, when
+ # installing the Chrome build depencies. This prevents the chroot
+ # session from being closed. So, we always try to shut down any running
+ # instance of dbus and rsyslog.
+ sudo /usr/local/bin/"${target%bit}" sh -c "${script} --no-lib32;
rc=$?;
+ /etc/init.d/cron stop >/dev/null 2>&1 || :;
/etc/init.d/rsyslog stop >/dev/null 2>&1 || :;
/etc/init.d/dbus stop >/dev/null 2>&1 || :;
exit $rc"